Subject: Re: [Patch] netpoll: allow spaces in its parameter

From: Cong Wang <[email-masked]>
Date: Wed, 17 Mar 2010 14:01:06 +0800

David Miller wrote:
> From: Amerigo Wang <[email-masked]>
> Date: Wed, 17 Mar 2010 01:53:26 -0400
> 
>> It would be nice if we allow spaces in netconsole parameters,
>> otherwise we get weird results if there are spaces in it.
>>
>> After this patch, we will allow things like:
>>  "netconsole= @192.168.0.1/eth0 , [email-masked]/".
>>
>> Signed-off-by: WANG Cong <[email-masked]>
>> Cc: David Miller <[email-masked]>
> 
> That kernel command line looks absolutely awful, not
> better.
> 
> Sorry I'm not applying this.

The problem is that the dst port is 0 when I even use:

"netconsole=@192.168.0.1/eth0, [email-masked]/"

This is awful too? I don't think so...